MutexGuard Class Reference

`#include <mutexguard.h>`

## Public Member Functions

| MutexGuard (Mutex *mutex)
| MutexGuard (Mutex &mutex)
| ~MutexGuard ()

## Detailed Description

A simple implementation of a mutex guard.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 31 of file mutexguard.h.

## Constructor & Destructor Documentation

## MutexGuard() [1/2]

MutexGuard | ( | Mutex * | mutex | ) |

inline

Contructs a new simple mutex guard and locks the supplied Mutex.

Parameters

  mutex | The Mutex to guard.

Definition at line 38 of file mutexguard.h.

## MutexGuard() [2/2]

MutexGuard | ( | Mutex & | mutex | ) |

inline

Contructs a new simple mutex guard and locks the supplied Mutex.

Parameters

  mutex | The Mutex to guard.

Definition at line 44 of file mutexguard.h.

## ~MutexGuard()

~MutexGuard | ( |  | ) |

inline

Destructor. Releases the guarded Mutex.

Definition at line 49 of file mutexguard.h.

The documentation for this class was generated from the following file:

- mutexguard.h